Bug 165242 - Shutdown and restart should not be in kickoff when "Offer Shutdown Options" is disabled
Summary: Shutdown and restart should not be in kickoff when "Offer Shutdown Options" i...
Status: RESOLVED FIXED
Alias: None
Product: plasma4
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-06-28 23:01 UTC by Javier G.
Modified: 2008-08-21 00:37 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Javier G. 2008-06-28 23:01:21 UTC
Version:            (using KDE 4.0.83)
Installed from:    Ubuntu Packages
OS:                Linux

This bug happens when I uncheck "Confirm logout" and "Offer shutdown options" in the "Session manager" menu of System Settings.

If I click in kickoff -> leave -> "shutdown" or "restart" they should do their respective actions but those buttons does nothing, they are ignored.

"Logout" works but "shutdown" and "restart" not...
Comment 1 Alex Merry 2008-08-08 23:27:36 UTC
That's because you've told it not to offer shutdown options.

Now, Kicker should hide "Shutdown" and "Reboot" when the "Offer Shutdown Options" option is off.
Comment 2 Alex Merry 2008-08-21 00:31:14 UTC
Fixed in r850182 (4.2/trunk).
Comment 3 Alex Merry 2008-08-21 00:37:27 UTC
Note that this will not go into 4.1.x, because the changes required are too invasive for me to be comfortable doing that.